export declare type MetadataBody = {
    hash: string;
    zipPath: string;
    version: string;
};
export declare type Metadata = Record<string, Record<string, MetadataBody>>;
declare enum CHANGE_TYPE {
    CREATE = "create",
    UPDATE = "update",
    DELETE = "delete"
}
export declare type ChangesSummary = {
    changes: {
        [changeType in CHANGE_TYPE]: {
            [apiName: string]: string[];
        };
    };
};
export {};
