import * as aws from 'aws-sdk';
import { ChangesSummary, LayerVersions, LibMetadata, FunctionMetadata } from '../types';
export declare function publishLayerVersions(lambda: aws.Lambda, changesSummary: ChangesSummary, libsMetadata: LibMetadata): Promise<LayerVersions>;
export declare function updateFunctionsLayers(lambda: aws.Lambda, changesSummary: ChangesSummary, libMetadata: LibMetadata, functionsMetadata: FunctionMetadata): Promise<void>;
